<!DOCTYPE html>
<html>
<head>
	<title>Converter Downloader</title>
	<style>
		* {
			box-sizing: border-box;
			margin: 0;
			padding: 0;
		}
		
		body {
			background-color: #f7f7f7;
			font-family: Arial, sans-serif;
		}
		
		.container {
			max-width: 500px;
			margin: 0 auto;
			padding: 20px;
			background-color: #fff;
			box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
			border-radius: 5px;
			text-align: center;
		}
		
		h1 {
			font-size: 36px;
			margin-bottom: 20px;
			color: #333;
		}
		
		input[type="text"], select {
			display: block;
			width: 100%;
			padding: 10px;
			margin-bottom: 20px;
			border-radius: 5px;
			border: 1px solid #ddd;
			font-size: 18px;
			color: #333;
		}
		
		button {
			background-color: #4CAF50;
			color: white;
			padding: 10px 20px;
			border-radius: 5px;
			border: none;
			font-size: 18px;
			cursor: pointer;
		}
		
		button:hover {
			background-color: #3e8e41;
		}
		
		select {
			padding: 10px;
		}
		
		option {
			color: #333;
		}
	</style>
</head>
<body>
	<div class="container">
		<h1>Converter Downloader</h1>
		<input type="text" placeholder="Masukkan URL video">
		<select>
			<option value="mp4">MP4</option>
			<option value="mp3">MP3</option>
			<option value="vocal">Vocal</option>
		</select>
		<button>Download</button>
	</div>
	
	<script>
		// fungsi untuk mengunduh video, audio MP3, atau narasi/vokal dari suatu URL video
async function downloadMedia(url, format) {
  // mengambil data dari URL
  const response = await axios.get(url);

  // mencari sumber video
  const sourceRegex = /<source src="(.*?)"/g;
  const sourceMatch = sourceRegex.exec(response.data);

  if (!sourceMatch) {
    alert('Tidak dapat menemukan sumber media');
    return;
  }

  const mediaURL = sourceMatch[1];

  // mengambil data dari sumber media
  const mediaResponse = await fetch(mediaURL);

  // membuat stream file
  const file = fs.createWriteStream(`media.${format}`);

  // menghubungkan stream media ke stream file
  mediaResponse.body.pipe(file);

  // memberikan pesan sukses
  alert(`Media berhasil diunduh dalam format ${format}`);
}

// event handler untuk tombol download
const button = document.querySelector('button');
button.addEventListener('click', () => {
  // mengambil URL video dari input
  const urlInput = document.querySelector('input[type="text"]');
  const url = urlInput.value;

  // mengambil format media dari select
  const formatSelect = document.querySelector('select');
  const format = formatSelect.value;

  // mengunduh media
  downloadMedia(url, format);
});
	<script>
</body>
</html>
